<?php
if (isset($_POST['export_csv'])) { 
require_once ('core/db_set.php');
require_once ('core/sanitize.inc.php');

//Grab and clean data
$set_usr = stripslashes(htmlspecialchars($_GET['usr'], ENT_QUOTES));
$set_authsession = stripslashes(htmlspecialchars($_GET['authsession'], ENT_QUOTES));
$set_email = stripslashes(htmlspecialchars($_GET['em'], ENT_QUOTES));

//Sanitize Data
$set_usr = sanitize_sql_string($set_usr);
$set_authsession = sanitize_sql_string($set_authsession);
$set_email = sanitize_sql_string($set_email);

//Check Auth
if($set_usr == '') {
	exit();
}
if($set_email == '') {
	exit();
}
if($set_authsession != $login_auth) {
	exit();
}		

$output = "";
$sql = mysqli_query($con,"SELECT * FROM hash_details WHERE uid_info = '$set_usr'");
$columns_total = mysqli_num_fields($sql);

//Get the field name to add to top of csv
for($i = 0; $i < $columns_total; $i++)
{
	$heading = mysqli_fetch_field_direct($sql, $i)->name;
    $output .= '"' . $heading . '",';
}
$output .="\n";

//Get data from the table
while($row = mysqli_fetch_array($sql))
{
    for($i = 0; $i < $columns_total; $i++)
    {
        $output .='"' . $row["$i"] . '",';
    }
    $output .="\n";
}

//Download the file
$add_rand = rand(0000,9999);
$filename = "hashs_export-$add_rand.csv";
header('Content-type: application/csv');
header('Content-Disposition: attachment; filename=' . $filename);

echo $output;

//Report to Alerts
$sql_report = "INSERT INTO alerts VALUES (NULL, '$set_email', '$fptime', '$log_ip', '<span class=\"label label-info\">All Hash\'s Export to CSV</span>', '0', '')";
mysqli_query($con, $sql_report);

exit();
} else {
	header("Location: login.php?action=error_session");
}
?>